--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: columns
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: gutter
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: pdf
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: rows
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: A Grid represents the entire grid system of a Page and calculates the column width and row height of the base box.
constants: []

full_name: Prawn::Document::Grid
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: column_width
- !ruby/object:RI::MethodSummary 
  name: row_height
- !ruby/object:RI::MethodSummary 
  name: show_all
name: Grid
superclass: Object
